Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Frame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          orarend.Frame

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class Frame

extends javax.swing.JFrame
implements java.awt.event.ActionListener

A program grafikus felületének a kerete

Author:
  Csipkés László
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) javax.swing.JButton` | `btnemok`
`(package private) javax.swing.JButton` | `btok`
`(package private) javax.swing.JMenuItem` | `duplafelvesz`
`(package private) javax.swing.JMenuItem` | `exit`
`(package private) javax.swing.JMenuItem` | `help`
`(package private) javax.swing.JPanel` | `jp1`
`(package private) int` | `jp1h`
`(package private) int` | `jp1w`
`(package private) javax.swing.JPanel` | `jp2`
`(package private) int` | `jp2h`
`(package private) int` | `jp2w`
`(package private) javax.swing.JPanel` | `jp3`
`(package private) int` | `jp3h`
`(package private) int` | `jp3w`
`(package private) javax.swing.JMenuItem` | `kriteriumok`
`(package private) javax.swing.JLabel` | `lbinfo`
`(package private) javax.swing.JList` | `lista`
`(package private) javax.swing.JMenuBar` | `mb`
`(package private) javax.swing.JMenu` | `mFile`
`(package private) javax.swing.JMenu` | `mHelp`
`(package private) javax.swing.JMenu` | `mList`
`(package private) javax.swing.JMenu` | `mSettings`
`(package private) javax.swing.JMenu` | `mTanterv`
`(package private) javax.swing.JMenuItem` | `osszevontfelvesz`
`(package private) javax.swing.JMenuItem` | `osztfelvesz`
`(package private) javax.swing.JMenuItem` | `osztlista`
`(package private) javax.swing.JMenuItem` | `oszttorol`
`(package private) static javax.swing.JPanel[]` | `paneltomb`
`(package private) java.awt.Dimension` | `screenSize`
`(package private) javax.swing.JMenuItem` | `tanfelvesz`
`(package private) javax.swing.JMenuItem` | `tanlista`
`(package private) javax.swing.JMenuItem` | `tantervfelvesz`
`(package private) javax.swing.JMenuItem` | `tantervmodosit`
`(package private) javax.swing.JMenuItem` | `tantervtorol`
`(package private) javax.swing.JMenuItem` | `tantorol`
`(package private) javax.swing.JMenuItem` | `terfelvesz`
`(package private) javax.swing.JMenuItem` | `terlista`
`(package private) javax.swing.JMenuItem` | `tertorol`
`(package private) java.awt.Toolkit` | `tk`
`(package private) int` | `x`
`(package private) int` | `y`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Frame()` A keretet létrehozó konstruktor

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Eseményfigyelés
`(package private) void` | `panelmegj(int sorszam)` A megadott sorszámú panel megjelenítése az ablak bal oldali konténerében

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### paneltomb

    static javax.swing.JPanel[] paneltomb

### lbinfo

    javax.swing.JLabel lbinfo

### btok

    javax.swing.JButton btok

### btnemok

    javax.swing.JButton btnemok

### tk

    java.awt.Toolkit tk

### screenSize

    java.awt.Dimension screenSize

### jp1h

    int jp1h

### jp1w

    int jp1w

### jp2h

    int jp2h

### jp2w

    int jp2w

### jp3h

    int jp3h

### jp3w

    int jp3w

### x

    int x

### y

    int y

### mb

    javax.swing.JMenuBar mb

### mFile

    javax.swing.JMenu mFile

### mList

    javax.swing.JMenu mList

### mSettings

    javax.swing.JMenu mSettings

### mHelp

    javax.swing.JMenu mHelp

### mTanterv

    javax.swing.JMenu mTanterv

### help

    javax.swing.JMenuItem help

### jp1

    javax.swing.JPanel jp1

### jp2

    javax.swing.JPanel jp2

### jp3

    javax.swing.JPanel jp3

### tanfelvesz

    javax.swing.JMenuItem tanfelvesz

### tantorol

    javax.swing.JMenuItem tantorol

### osztfelvesz

    javax.swing.JMenuItem osztfelvesz

### oszttorol

    javax.swing.JMenuItem oszttorol

### terfelvesz

    javax.swing.JMenuItem terfelvesz

### tertorol

    javax.swing.JMenuItem tertorol

### exit

    javax.swing.JMenuItem exit

### tantervfelvesz

    javax.swing.JMenuItem tantervfelvesz

### tantervmodosit

    javax.swing.JMenuItem tantervmodosit

### tantervtorol

    javax.swing.JMenuItem tantervtorol

### duplafelvesz

    javax.swing.JMenuItem duplafelvesz

### osszevontfelvesz

    javax.swing.JMenuItem osszevontfelvesz

### kriteriumok

    javax.swing.JMenuItem kriteriumok

### tanlista

    javax.swing.JMenuItem tanlista

### terlista

    javax.swing.JMenuItem terlista

### osztlista

    javax.swing.JMenuItem osztlista

### lista

    javax.swing.JList lista

Constructor Detail

### Frame

    public Frame()

  A keretet létrehozó konstruktor

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Eseményfigyelés

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### panelmegj

    void panelmegj(int sorszam)

  A megadott sorszámú panel megjelenítése az ablak bal oldali konténerében

  Parameters:
    `sorszam` - panelsorszám

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD